  ix = ix_IPEngine 
  var str;
  var subStr;
  function ix_Main(){ 
 
 
     str =  "my exam0nof Embeded Line Parsing Example 1\nBy Using SSimXel Scripts Engine... \n\n";
     subStr = "1st Pixel's Value is :   [" + ix.num_decStrToHexStr(ix.img_getPixel(0)) + "] (value display as Hex) \n";
     str = str + subStr;
   
     subStr = "6th Pixel's Value is : [" + ix.img_getPixel(5) + "] (value display as Decimal)  \n";
     str = str + subStr;
 
     var a =   ix.num_decStrToInt(ix.img_getPixel(2)) ;
     var b =    ix.num_decStrToInt(ix.img_getPixel(9)) ;
     var c  =  a + b; 

     subStr = "the sum of 3rd Value("+ a +")  and  10th Value (" + b + ") is : [" + c +"]  \n";
     str = str + subStr;
 
 
    

    return str;
  } 
